gnutls_x509_crl_dist_points_get(3)

NAME
gnutls_x509_crl_dist_points_get - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_crl_dist_points_get(gnutls_x509_crl_dist_points_t cdp, unsigned int seq, unsigned int * type, gnutls_datum_t * san, unsigned int * reasons);

ARGUMENTS

gnutls_x509_crl_dist_points_t cdp
    The CRL distribution points

unsigned int seq
    specifies the sequence number of the distribution point (0 for the first one, 1 for the second etc.)

unsigned int * type
    The name type of the corresponding name (gnutls_x509_subject_alt_name_t)

gnutls_datum_t * san
    The distribution point names (to be treated as constant)

unsigned int * reasons
    Revocation reasons. An ORed sequence of flags from gnutls_x509_crl_reason_flags_t.

DESCRIPTION
This function retrieves the individual CRL distribution points (2.5.29.31), contained in provided type.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE if the index is out of bounds, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/